picard.illumina

## Interface IlluminaBasecallsConverter.ClusterDataConverter<OUTPUT_RECORD>

- All Known Implementing Classes:
    ClusterDataToSamConverter
  Enclosing class:
    IlluminaBasecallsConverter<CLUSTER_OUTPUT_RECORD>

      public static interface IlluminaBasecallsConverter.ClusterDataConverter<OUTPUT_RECORD>

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `OUTPUT_RECORD` | `convertClusterToOutputRecord(ClusterData cluster)` Creates the OUTPUT_RECORDs from the cluster

- - ### Method Detail

    - #### convertClusterToOutputRecord

          OUTPUT_RECORD convertClusterToOutputRecord(ClusterData cluster)

      Creates the OUTPUT_RECORDs from the cluster